pragma Source_File_Name (Ada_Main, Spec_File_Name => "b~reformat.ads");
pragma Source_File_Name (Ada_Main, Body_File_Name => "b~reformat.adb");

package body Ada_Main is
   procedure adainit is

      procedure Set_Globals
        (Main_Priority            : Integer;
         Time_Slice_Value         : Integer;
         WC_Encoding              : Character;
         Locking_Policy           : Character;
         Queuing_Policy           : Character;
         Task_Dispatching_Policy  : Character;
         Adafinal                 : System.Address;
         Unreserve_All_Interrupts : Boolean;
         Exception_Tracebacks     : Boolean);
      pragma Import (C, Set_Globals, "__gnat_set_globals");

   begin
      Set_Globals
        (Main_Priority            => -1,
         Time_Slice_Value         => -1,
         WC_Encoding              => 'b',
         Locking_Policy           => ' ',
         Queuing_Policy           => ' ',
         Task_Dispatching_Policy  => ' ',
         Adafinal                 => adafinal'Address,
         Unreserve_All_Interrupts => False,
         Exception_Tracebacks     => False);
      -- System'Elab_Spec;
      -- Ada'Elab_Spec;
      -- Ada.Characters'Elab_Spec;
      -- Ada.Characters.Handling'Elab_Spec;
      -- Ada.Characters.Latin_1'Elab_Spec;
      -- Ada.Command_Line'Elab_Spec;
      -- Gnat'Elab_Spec;
      -- Gnat.Case_Util'Elab_Spec;
      -- Gnat.Case_Util'Elab_Body;
      -- Gnat.Heap_Sort_A'Elab_Spec;
      -- Gnat.Heap_Sort_A'Elab_Body;
      -- Gnat.Htable'Elab_Spec;
      -- Gnat.Htable'Elab_Body;
      -- Interfaces'Elab_Spec;
      -- System.Exn_Gen'Elab_Spec;
      -- System.Exn_Gen'Elab_Body;
      -- System.Img_Int'Elab_Spec;
      -- System.Img_Lli'Elab_Spec;
      -- System.Img_Real'Elab_Spec;
      -- System.Machine_Code'Elab_Spec;
      -- System.Parameters'Elab_Spec;
      -- System.Parameters'Elab_Body;
         Interfaces.C_Streams'Elab_Spec;
      -- Interfaces.C_Streams'Elab_Body;
      -- System.Powten_Table'Elab_Spec;
      -- System.Standard_Library'Elab_Spec;
         Ada.Exceptions'Elab_Spec;
      -- System.Exception_Table'Elab_Spec;
         System.Exception_Table'Elab_Body;
         Ada.Io_Exceptions'Elab_Spec;
         Ada.Strings'Elab_Spec;
         System.Exceptions'Elab_Spec;
      -- System.Storage_Elements'Elab_Spec;
      -- System.Storage_Elements'Elab_Body;
      -- System.Secondary_Stack'Elab_Spec;
      -- System.Img_Lli'Elab_Body;
      -- System.Img_Int'Elab_Body;
      -- Ada.Command_Line'Elab_Body;
         Ada.Tags'Elab_Spec;
         Ada.Tags'Elab_Body;
         Ada.Streams'Elab_Spec;
         System.Stack_Checking'Elab_Spec;
      -- System.Soft_Links'Elab_Spec;
         System.Soft_Links'Elab_Body;
      -- System.Stack_Checking'Elab_Body;
         System.Secondary_Stack'Elab_Body;
         Ada.Exceptions'Elab_Body;
      -- System.Standard_Library'Elab_Body;
      -- System.Exn_Llf'Elab_Spec;
      -- System.String_Ops'Elab_Spec;
      -- System.String_Ops'Elab_Body;
      -- System.String_Ops_Concat_3'Elab_Spec;
      -- System.String_Ops_Concat_3'Elab_Body;
      -- System.Unsigned_Types'Elab_Spec;
         Ada.Strings.Maps'Elab_Spec;
      -- Ada.Strings.Fixed'Elab_Spec;
         Ada.Strings.Maps.Constants'Elab_Spec;
      -- Ada.Characters.Handling'Elab_Body;
      -- Ada.Strings.Search'Elab_Spec;
      -- Ada.Strings.Search'Elab_Body;
      -- Ada.Strings.Fixed'Elab_Body;
      -- System.Bit_Ops'Elab_Spec;
      -- System.Bit_Ops'Elab_Body;
      -- Ada.Strings.Maps'Elab_Body;
      -- System.Fat_Llf'Elab_Spec;
      -- System.Img_Biu'Elab_Spec;
      -- System.Img_Biu'Elab_Body;
      -- System.Img_Llb'Elab_Spec;
      -- System.Img_Llb'Elab_Body;
      -- System.Img_Llu'Elab_Spec;
      -- System.Img_Llu'Elab_Body;
      -- System.Img_Llw'Elab_Spec;
      -- System.Img_Llw'Elab_Body;
      -- System.Img_Uns'Elab_Spec;
      -- System.Img_Uns'Elab_Body;
      -- System.Img_Real'Elab_Body;
      -- System.Img_Wiu'Elab_Spec;
      -- System.Img_Wiu'Elab_Body;
      -- System.Stream_Attributes'Elab_Spec;
      -- System.Stream_Attributes'Elab_Body;
         System.Finalization_Root'Elab_Spec;
      -- System.Finalization_Root'Elab_Body;
         System.Finalization_Implementation'Elab_Spec;
      -- System.Finalization_Implementation'Elab_Body;
         Ada.Finalization'Elab_Spec;
      -- Ada.Finalization'Elab_Body;
         Ada.Finalization.List_Controller'Elab_Spec;
      -- Ada.Finalization.List_Controller'Elab_Body;
         Ada.Strings.Unbounded'Elab_Spec;
      -- Ada.Strings.Unbounded'Elab_Body;
         System.File_Control_Block'Elab_Spec;
      -- System.File_Io'Elab_Spec;
         System.File_Io'Elab_Body;
         Ada.Text_Io'Elab_Spec;
         Ada.Text_Io'Elab_Body;
      -- Ada.Float_Text_Io'Elab_Spec;
      -- Ada.Integer_Text_Io'Elab_Spec;
      -- Ada.Text_Io.Float_Aux'Elab_Spec;
      -- Ada.Float_Text_Io'Elab_Body;
      -- Ada.Text_Io.Generic_Aux'Elab_Spec;
      -- Ada.Text_Io.Generic_Aux'Elab_Body;
      -- Ada.Text_Io.Integer_Aux'Elab_Spec;
      -- Ada.Integer_Text_Io'Elab_Body;
      -- System.Val_Enum'Elab_Spec;
      -- System.Val_Int'Elab_Spec;
      -- System.Val_Lli'Elab_Spec;
      -- Ada.Text_Io.Integer_Aux'Elab_Body;
      -- System.Val_Llu'Elab_Spec;
      -- System.Val_Real'Elab_Spec;
      -- Ada.Text_Io.Float_Aux'Elab_Body;
      -- System.Val_Uns'Elab_Spec;
      -- System.Val_Util'Elab_Spec;
      -- System.Val_Util'Elab_Body;
      -- System.Val_Uns'Elab_Body;
      -- System.Val_Real'Elab_Body;
      -- System.Val_Llu'Elab_Body;
      -- System.Val_Lli'Elab_Body;
      -- System.Val_Int'Elab_Body;
      -- System.Val_Enum'Elab_Body;
         lexer'elab_spec;
         lexer'elab_body;
         Declarations'Elab_Spec;
         Declarations.Arguments'Elab_Spec;
      -- Declarations.Subprograms'Elab_Spec;
      -- Declarations.Types'Elab_Spec;
         Declarations.Variables'Elab_Spec;
      -- Decls'Elab_Spec;
      -- Lists_Generic'Elab_Spec;
         Lists_Generic'Elab_Body;
      -- Parm_Modes'Elab_Spec;
         Parm_Modes'Elab_Body;
         Declarations.Parameters'Elab_Spec;
      -- Reformat_Pkg'Elab_Spec;
      -- Reformat_Pkg.Scope_Changes'Elab_Spec;
      -- Reformat_Rtf'Elab_Spec;
      -- RTF'ELAB_SPEC;
      -- Settings'Elab_Spec;
         Settings'Elab_Body;
      -- Reformat'Elab_Body;
         Token_Stack'Elab_Spec;
         Token_Stack'Elab_Body;
         Reformat_Pkg.Scope_Changes'Elab_Body;
      -- Token_Writer'Elab_Spec;
         Writer'Elab_Spec;
         Writer'Elab_Body;
         Token_Writer'Elab_Body;
         Reformat_Rtf'Elab_Body;
         Reformat_Pkg'Elab_Body;
         Declarations.Parameters'Elab_Body;
         Decls'Elab_Body;
         Declarations.Variables'Elab_Body;
         Declarations.Types'Elab_Body;
         Declarations.Subprograms'Elab_Body;
         Declarations.Arguments'Elab_Body;
         Declarations'Elab_Body;
      null;
   end adainit;

   procedure adafinal is

      procedure do_finalize;
      pragma Import
        (C, do_finalize,
         "system__finalization_implementation__finalize_global_list");

   begin
      do_finalize;
   end adafinal;

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer
   is
      procedure initialize;
      pragma Import (C, initialize, "__gnat_initialize");

      procedure finalize;
      pragma Import (C, finalize, "__gnat_finalize");


      procedure Ada_Main_Program;
      pragma Import (Ada, Ada_Main_Program, "_ada_reformat");

   begin
      gnat_argc := argc;
      gnat_argv := argv;
      gnat_envp := envp;

      Initialize;
      adainit;
      Break_Start;
      Ada_Main_Program;
      adafinal;
      Finalize;
      return (gnat_exit_status);
   end;

-- BEGIN Object file/option list
   --   ./lexer.o
   --   ./lists_generic.o
   --   ./parm_modes.o
   --   ./rtf.o
   --   ./settings.o
   --   ./reformat.o
   --   ./token_stack.o
   --   ./reformat_pkg-scope_changes.o
   --   ./writer.o
   --   ./token_writer.o
   --   ./reformat_rtf.o
   --   ./reformat_pkg.o
   --   ./declarations-parameters.o
   --   ./decls.o
   --   ./declarations-variables.o
   --   ./declarations-types.o
   --   ./declarations-subprograms.o
   --   ./declarations-arguments.o
   --   ./declarations.o
   --   -L./
   --   -Ld:\GNATCO~1.0PR\binding\
   --   -Lc:\GNATPRO\Bindings\Win32Ada\
   --   -Lc:\gnatpro\adagraph\
   --   -Ld:\GNATCO~1.0PR\binding\
   --   -LC:\GNATPRO\lib\gcc-lib\pentium-mingw32msv\2.8.1\adalib\
   --   C:\GNATPRO\lib\gcc-lib\pentium-mingw32msv\2.8.1\adalib\libgnat.a
-- END Object file/option list   

end Ada_Main;
