with Ada.Strings.Unbounded;


procedure Bug_Fv236 is

   type Analysis_Kind_Type is (Unknown_Kind, Spec_Kind, Body_Kind);

   use Ada;

   function Kind_Decoder (K_String : in String)
         return Analysis_Kind_Type is
   begin -- kind_decoder
      return Analysis_Kind_Type'First;
   end Kind_Decoder;

   F_Name : constant Strings.Unbounded.Unbounded_String
      := Strings.Unbounded.To_Unbounded_String ("foo bar");
   Breakpoint : constant := 2;
begin -- Bug_fv236

   case Kind_Decoder (Strings.Unbounded.Slice
            (Source => F_Name,
               Low    => (Breakpoint + 1),
               High   => Strings.Unbounded.Length(F_Name))) is
         when Unknown_Kind =>
         null;
      when others =>
         null;
   end case;
end Bug_Fv236;